package com.jpattern.orm.session;

import java.sql.Connection;

/**
 * 
 * @author Francesco Cina
 *
 * 13/giu/2011
 */
public enum TransactionIsolation {
	
	SERIALIZABLE(Connection.TRANSACTION_SERIALIZABLE),
	REPEATABLE_READS(Connection.TRANSACTION_REPEATABLE_READ), 
	READ_COMMITTED(Connection.TRANSACTION_READ_COMMITTED), 
	READ_UNCOMMITTED(Connection.TRANSACTION_READ_UNCOMMITTED);

	 private int isolationLevel;

	 private TransactionIsolation(int isolationLevel) {
		 this.isolationLevel = isolationLevel;
	 }

	 public int getTransactionIsolation() {
	   return isolationLevel;
	 }
}
