package com.jpattern.orm;

import com.jpattern.orm.dialect.DefaultDialect;
import com.jpattern.orm.dialect.IDialect;
import com.jpattern.orm.session.ISession;
import com.jpattern.orm.session.ISessionProvider;

/**
 * 
 * @author Francesco Cina
 *
 * 21/mag/2011
 */
public class JPOrm extends AJPOrmBase implements IJPOrm {

	/**
	 * 
	 */
	

	public JPOrm(ISessionProvider sessionProvider) {
		this(sessionProvider, new DefaultDialect());
	}
	
	public JPOrm(ISessionProvider sessionProvider, IDialect dialect) {
		super(sessionProvider, dialect);
	}

	@Override
	public ISession session() {
		return getSession();
	}

}
